summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/zsh/config.d/alias.zsh2
-rw-r--r--.zshrc5
2 files changed, 5 insertions, 2 deletions
diff --git a/.config/zsh/config.d/alias.zsh b/.config/zsh/config.d/alias.zsh
index 4c491d1e..5248177d 100644
--- a/.config/zsh/config.d/alias.zsh
+++ b/.config/zsh/config.d/alias.zsh
@@ -21,7 +21,7 @@ alias pr='ping rogs.me'
alias my-ip="curl ifconfig.me"
alias emacs="emacsclient -c -a 'emacs'"
alias prometeo="cd ~/code/prometeo/prometeo"
-alias prometeo-vpn="sudo wg-quick down wg0 && mullvad disconnect && sudo wg-quick up wg0"
+alias prometeo-vpn="sudo wg-quick down wg0 || true && mullvad disconnect && sudo wg-quick up wg0"
# GIT
alias gcd="git checkout develop"
diff --git a/.zshrc b/.zshrc
index 0b9d4ca1..efa92b1c 100644
--- a/.zshrc
+++ b/.zshrc
@@ -33,6 +33,7 @@ fi
# Example format: plugins=(rails git textmate ruby lighthouse)
# Add wisely, as too many plugins slow down shell startup.
plugins=(
+ # zsh-syntax-highlighting
fast-syntax-highlighting
zsh-autosuggestions
zsh-nvm
@@ -62,4 +63,6 @@ unset conf
# To customize prompt, run `p10k configure` or edit ~/.p10k.zsh.
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh
-ZSH_AUTOSUGGEST_STRATEGY=(completion match_prev_cmd)
+ZSH_AUTOSUGGEST_STRATEGY=(match_prev_cmd completion)
+ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=#555555"
+ZSH_HIGHLIGHT_HIGHLIGHTERS=(main brackets pattern regexp cursor root line)